var message="F i c c i o n e s"
var neonbasecolor="#ffffff"
var neontextcolor="#f0d0f0"
var flashspeed=5  //in milliseconds

var n=0
if (document.all){
    document.write('<div class=pr2 style="COLOR: '+neonbasecolor+' FONT-SIZE: 36pt;">')

    for (m=0;m<message.length;m++)
        document.write('<span id="neonlight">'+message.charAt(m)+'</span>')
    document.write('</div>')

    //cache reference to neonlight array
    var tempref=document.all.neonlight
}
else
    document.write(message)

function neon(){

    //Change all letters to base color
    if (n==0){
        for (m=0;m<message.length;m++)
            tempref[m].style.color=neonbasecolor
    }

    //cycle through and change individual letters to neon color
    tempref[n].style.color=neontextcolor

    if (n<tempref.length-1)
        n++
    else{
        n=0
        clearInterval(flashing)
        setTimeout("beginneon()",1000)
        return
    }
}

function beginneon(){
    if (document.all)
        flashing=setInterval("neon()",flashspeed)
}
beginneon()
